commit:     ac3cb80f37eaa09d1a1cd2977791d04e584bbc30
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 22 19:01:00 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Feb 22 19:58:52 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac3cb80f

dev-python/oslo-reports: 1.26.0 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/oslo-reports/Manifest                   |  1 +
 dev-python/oslo-reports/oslo-reports-1.26.0.ebuild | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/oslo-reports/Manifest b/dev-python/oslo-reports/Manifest
index 702bbeedb96..ce83e59d921 100644
--- a/dev-python/oslo-reports/Manifest
+++ b/dev-python/oslo-reports/Manifest
@@ -1 +1,2 @@
 DIST oslo.reports-1.22.1.tar.gz 48151 BLAKE2B 
f3867bf3c6c7fd207b1e730e8c96098d74b42239107999194bcef295ae0a86048bed7f47498a5d4a0186d15d48f97d897850fd2558eaae7bc386b9401c01155a
 SHA512 
c2c7f35fe80df9393cb1d9add59a7be95586ee078074548795f881c8515073946bcf3dfda02536850b943f346a6b81bfffa1d9f461f0cafdf6163da09b6d07d4
+DIST oslo.reports-1.26.0.tar.gz 48691 BLAKE2B 
670c3c7205dd2ceba1559d296cbb697045aa088f7343614e82c9c5983166f34e90af33de43c55b1d865715c840ea3a12fcff697a798a5eb0b2a120a39c4895c8
 SHA512 
e4a8bb5cdfaf1cb82f53fc56060f2e6bfde85ad6933326faab2ce8f8181231510700712d191c1429cb264f70a79695a069fe9dae93aa4a70aafa3efe37898603

diff --git a/dev-python/oslo-reports/oslo-reports-1.26.0.ebuild 
b/dev-python/oslo-reports/oslo-reports-1.26.0.ebuild
new file mode 100644
index 00000000000..68cdd6bbdb7
--- /dev/null
+++ b/dev-python/oslo-reports/oslo-reports-1.26.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="generified reports for openstack"
+HOMEPAGE="http://docs.openstack.org/developer/oslo.reports";
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.reports/oslo.reports-${PV}.tar.gz"
+S="${WORKDIR}/oslo.reports-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/jinja-2.8[${PYTHON_USEDEP}]
+       !~dev-python/jinja-2.9.0[${PYTHON_USEDEP}]
+       !~dev-python/jinja-2.9.1[${PYTHON_USEDEP}]
+       !~dev-python/jinja-2.9.2[${PYTHON_USEDEP}]
+       !~dev-python/jinja-2.9.3[${PYTHON_USEDEP}]
+       !~dev-python/jinja-2.9.4[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+       >=dev-python/psutil-3.2.2[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}

Reply via email to